serii81
@serii81
Я люблю phр...

Как решить проблему в Ubuntu?

Установил облачное хранилище mailru. Во время установки возникла ошибка, но при этом операция завершилась успешно. Теперь при попытке обновить, удалить или установить новый компонент выскакивает такая длинная ошибка и даже не представляю как ее решить.
start: Не удается подключиться к Upstart: Failed to connect to socket /com/ubuntu/upstart: В соединении отказано
dpkg: ошибка при обработке пакета runit (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
Настраивается пакет qmail (1.06-5) …

The hostname -f command returned: $1

Your system needs to have a fully qualified domain name (fqdn) in
order to install the var-qmail packages.

Installation aborted.

dpkg: ошибка при обработке пакета qmail (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
dpkg: зависимости пакетов не позволяют настроить пакет qmail-run:
 qmail-run зависит от qmail (>= 1.06-2.1), однако:
  Пакет qmail пока не настроен.
 qmail-run зависит от runit (>> 1.8.0-2) | daemontools-run (>> 1:0.76), однако:
  Пакет runit пока не настроен.
  Пакет daemontools-run не установлен.

dpkg: ошибка при обработке пакета qmail-run (--configure):
 проблемы зависимостей — оставляем не настроенным
Настраивается паОтчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                                                                                           кет upstart (1.13.2-0ubuntu21.1) …
При обработке следующих пакетов произошли ошибки:
 runit
 qmail
 qmail-run
E: Sub-process /usr/bin/dpkg returned an error code (1)

Очень нужна ваша помощь!!!
  • Вопрос задан
  • 1868 просмотров
Решения вопроса 1
nazarpc
@nazarpc
Open Source enthusiast
Складывается впечатление, что вы понаставляли кучу пакетов, сами не понимая что они делают и для чего (qmail и runit наверняка поставились не из-за mailru, а раньше).

Удалите qmail для начала:
sudo apt-get purge qmail*
sudo apt-get autoremove

Потом попробуйте автоматическое восстановление проблем, если таковые останутся:
sudo apt-get install -f
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы